## org.apache.xerces.xs
Interface XSObjectList

    public interface XSObjectList

The `XSObjectList` interface provides the abstraction of an immutable ordered collection of `XSObject`s, without defining or constraining how this collection is implemented.

Method Summary
`int` `getLength()` The number of `XSObjects` in the list.
`XSObject` `item(int index)` Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list.

Method Detail

### getLength

    int getLength()

  The number of `XSObjects` in the list. The range of valid child object indices is 0 to `length-1` inclusive.

### item

    XSObject item(int index)

  Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list. The index starts at 0.

  Parameters:
    `index` - index into the collection.
  Returns:
    The `XSObject` at the `index`th position in the `XSObjectList`, or `null` if the index specified is not valid.

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.